Name:		jpegoptim
Version:	1.4.6
Release:	%mkrel 2
Summary:	Utility to optimize JPEG image files
Source0:	https://www.kokkonen.net/tjko/src/%{name}-%{version}.tar.gz
License:	GPLv2+
Group:		Graphics/Utilities
URL:		https://www.kokkonen.net/tjko/projects.html
BuildRequires:	pkgconfig(libjpeg)

%description
Provides lossless optimization (based on optimizing the Huffman tables) 
and "lossy" optimization based on setting the maximum quality factor.

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall

%files
%doc COPYRIGHT README
%{_bindir}/jpegoptim
%{_mandir}/man1/jpegoptim.1*


%changelog
* Tue Feb 11 2020 umeabot <umeabot> 1.4.6-2.mga8
+ Revision: 1489140
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Sep 12 2018 danf <danf> 1.4.6-1.mga7
+ Revision: 1258513
- Updated to ver. 1.4.6
- fixed read past end of buffer problem
- minor bug fixes

* Wed Sep 27 2017 danf <danf> 1.4.4-1.mga7
+ Revision: 1160092
- Upgraded to ver. 1.4.4
  - minor bug fixes

* Thu Feb 11 2016 umeabot <umeabot> 1.4.3-2.mga6
+ Revision: 954691
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 danf <danf> 1.4.3-1.mga6
+ Revision: 837704
- Upgraded to ver. 1.4.3: fix bug that could cause jpegoptim to crash when
  processing certain jpeg files

* Wed Oct 15 2014 umeabot <umeabot> 1.4.1-3.mga5
+ Revision: 743118
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.1-2.mga5
+ Revision: 680856
- Mageia 5 Mass Rebuild

* Fri May 30 2014 danf <danf> 1.4.1-1.mga5
+ Revision: 627810
- Upgraded to ver. 1.4.1. Major changes include:
- use memory (instead of temporary files) during optimization
- support for stdin/stdout
- report also libjpeg version when --version option used
- new option --strip-none to preserve "all" markers

* Sat Oct 19 2013 umeabot <umeabot> 1.3.0-2.mga4
+ Revision: 528517
- Mageia 4 Mass Rebuild

* Sat Jun 22 2013 pterjan <pterjan> 1.3.0-1.mga4
+ Revision: 445789
- Use configure2_5x
+ danf <danf>
- update to version 1.3.0
- spec clean-up after import from Mandriva
- imported package jpegoptim


* Wed Sep 30 2009 Frederik Himpe <fhimpe@mandriva.org> 1.2.3-1mdv2010.0
+ Revision: 451840
- Update to new version 1.2.3

* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-5mdv2010.0
+ Revision: 429646
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-4mdv2009.0
+ Revision: 247419
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-2mdv2008.1
+ Revision: 127413
- kill re-definition of %%buildroot on Pixel's request
- use %%mkrel
- import jpegoptim


* Fri Jan 27 2006 Jerome Soyer <saispo@mandriva.org> 1.2.2-2mdk
- Need rebuild

* Sun Aug 08 2004 Couriousous <couriousous@sceen.net> 1.2.2-1mdk
- First Mandrakelinux version
